View Issue Details

IDProjectCategoryView StatusLast Update
0017631LazarusIDEpublic2012-04-02 20:35
ReporterLee JenkinsAssigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.28.3 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0017631: Request add Tab as trigger to invoke Code Template Auto Complete
DescriptionCurrently the choices to invoke a code template auto complete appears to be:

- Line Break
- Word End
- Space

Since I work with both Delphi and Lazarus IDE's, it would be nice to have the Tab Character as choice to invoke auto complete of a code template.
TagsNo tags attached.
Fixed in Revision36527
LazTarget1.0
Widgetset
Attached Files

Activities

Martin Friebe

2012-04-02 20:35

manager   ~0058266

Added Tab.

Also added an option to ignore invocation, if a selection exits.
If a selection exists, that happen to end exactly at a CodeTemplate token, then
tab can be used to indent. (Or invoke the template)

Issue History

Date Modified Username Field Change
2010-10-14 13:27 Lee Jenkins New Issue
2010-10-29 10:40 Vincent Snijders LazTarget => -
2010-10-29 10:40 Vincent Snijders Assigned To => Mattias Gaertner
2010-10-29 10:40 Vincent Snijders Status new => assigned
2012-04-02 20:32 Martin Friebe Assigned To Mattias Gaertner => Martin Friebe
2012-04-02 20:35 Martin Friebe Fixed in Revision => 36527
2012-04-02 20:35 Martin Friebe LazTarget - => 1.0
2012-04-02 20:35 Martin Friebe Status assigned => resolved
2012-04-02 20:35 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2012-04-02 20:35 Martin Friebe Resolution open => fixed
2012-04-02 20:35 Martin Friebe Note Added: 0058266